petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPMatRegisterAll

Registers all matrix implementations in the KSP package.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode KSPMatRegisterAll(void)

Not Collective

### See Also

MatRegisterAll(), KSPInitializePackage()

### Level

advanced

### Location

src/ksp/ksp/utils/kspmatregi.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages